#pragma once

#include <cassert>


// 'NDEBUG' is no debug. No 'assert()' and no 'DEBUG_MSG'.
//#define NDEBUG

#ifndef NDEBUG
#define DEBUG_MSG(str) do { std::cout << str << std::endl; } while( false )
#else
#define DEBUG_MSG(str) do { } while ( false )
#endif
